org.glassfish.jersey.spi

## Interface ExtendedExceptionMapper<T extends Throwable>

Type Parameters:
  `T` - A type of the exception processed by the exception mapper.

All Superinterfaces:
  jakarta.ws.rs.ext.ExceptionMapper<T>

    public interface ExtendedExceptionMapper<T extends Throwable>
    extends jakarta.ws.rs.ext.ExceptionMapper<T>

Extension of a `exception mapper interface`. The exception mapping providers can extend from this interface to add jersey specific functionality to these providers.

Author:
  Miroslav Fuksa

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isMappable(T exception)` Determine whether this provider is able to process a supplied exception instance.

### Methods inherited from interface jakarta.ws.rs.ext.ExceptionMapper

`toResponse`

### Method Detail

#### isMappable

    boolean isMappable(T exception)

Determine whether this provider is able to process a supplied exception instance.

This method is called only on those exception mapping providers that are able to process the type of the `exception` as defined by the JAX-RS `ExceptionMapper` contract. By returning `false` this method can reject any given exception instance and change the default JAX-RS exception mapper selection behaviour.

Parameters:
  `exception` - exception instance which should be processed.
Returns:
  `true` if the mapper is able to map the particular exception instance, `false` otherwise.